HomeGuidesAPI Reference
GuidesAPI ReferenceGitHubAirheads Developer CommunityLog In
API Reference

MSP API:- Disable auto license settings at msp and its tenant level for given services.

Disable auto license settings for MSP and Tenants for the given services. This will not change the current license device mapping.

  1. include_customers: if provided, licensing will be disable only for the customers present in include_customers list.
  2. exclude_customers: if provided, licensing will be disabled for the customers except the customers present in exclude_customers list.
  3. If none of the above parameters are provided then auto license setting will be disabled for all customers i.e MSP and tenants.
Body Params

Customers and service detail for disabling auto licensing.

include_customers
array of strings

Customer ids to be included for licensing/un-licensing.

include_customers
exclude_customers
array of strings

Customer ids to be excluded for licensing/un-licensing.

exclude_customers
services
array of strings
required

list of services e.g. ['pa', 'ucc', foundation_ap, advanced_switch_6200, foundation_70XX etc ...]. Check /platform/licensing/v1/services/config API response to know the list of supported services.

services*
Responses
200

Successfully disabled auto licensing for given services.

400

A required parameter or field is missing.

401

Unauthorized access. Authentication failed or was not provided.

403

Access denied.

404

The requested entity was not found.

409

Request Unsuccessful

413

Request-size limit exceeded

417

Request-size limit exceeded

429

API Rate limit exceeded

500

Server error

Language
Credentials
Bearer
URL
Response
Click Try It! to start a request and see the response here!